Bug 142174 - php with xslt-support
php with xslt-support
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-12-07 16:15 EST by Roman Buerkle
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-12 09:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
PHP xslt src rpm patch (3.42 KB, patch)
2005-06-01 14:02 EDT, Jason Pyeron
no flags Details | Diff
js-1.5-0.rc6.dag.src.rpm (1017.30 KB, application/x-rpm)
2005-06-01 14:04 EDT, Jason Pyeron
no flags Details
sablotron-1.0.2-0.n0i.1.src.rpm (600.73 KB, application/x-rpm)
2005-06-01 14:05 EDT, Jason Pyeron
no flags Details
a binary RPM (25.01 KB, application/x-rpm)
2005-06-01 14:11 EDT, Jason Pyeron
no flags Details

  None (edit)
Description Roman Buerkle 2004-12-07 16:15:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)

Description of problem:

everbody is talking an working with XML and XSLT, and its a very
common technology, we use it a lot. 

Because of this, i was really wondering why the there`s no
XSLT-support build in the php-package in the complete RHEL3.

At least for us, it's a really important feature, so is there any
chance to have it soon available?

Thanx for the your help!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. can't find it

Additional info:
Comment 1 Suzanne Hillman 2004-12-08 13:53:01 EST
Internal RFE bug #142282 entered; will be considered for future releases.
Comment 2 ron korzen 2005-04-14 14:11:20 EDT
any update?
Comment 3 Suzanne Hillman 2005-04-14 17:14:31 EDT
We do not plan to deliver this functionality in an updated package for RHEL3,
however we will consider it for future RHEL releases.
Comment 4 Thomas Palmieri 2005-04-25 19:44:26 EDT
It doesn't appear to be in RHEL4 either.  What future release was it being
considered for?

Ron is not the only one who would like this feature.  The company I work for
also uses this.  One of our guys wrote a flagship application in PHP which
requires XSLT functionality, and he prototyped it on Windows using the PHP
runtime binary provided by the main PHP website.  However, we would ultimately
like this to run under RHEL4.

It looks somewhat negligent of RedHat to not include XSLT in the PHP they
distribute, especially considering the basic Windows binary has said
functionality built-in.  I would suspect that there is a much larger critical
mass of people who would want this feature, aside from the two of us.
Comment 5 Suzanne Hillman 2005-04-26 11:18:52 EDT
If this is something for which there is urgency, you would be much better off
going through support (http://www.redhat.com/support or 800-REDHAT1), as
bugzilla is a bug tracking mechanism and not a form of support.
Comment 6 Joe Orton 2005-04-28 10:25:10 EDT
For background: the reason the extension is not enabled in the RHEL php package
is that the "xslt" extension included in php 4.3.x does not work with the
libxslt library included in RHEL; it requires the Sablotron library which is not
shipped in RHEL.
Comment 7 Roman Buerkle 2005-04-29 10:27:40 EDT
it requires the Sablotron library which is not shipped in RHEL.

Well thats why i asked Redhat for it. No way to include it? We still have no
solution for this. I also hopped for RHEL4 , but...
Comment 8 Jason Pyeron 2005-05-28 16:45:46 EDT

this makes me think.

I have modified the spec file so you can rpmbuild --rebuild --define 'xslt 1' 

I am going to polish it up before attaching it here.

FYI, it requires js and sablatron rpms, also will attach SRPM.
Comment 9 Jason Pyeron 2005-05-29 22:42:46 EDT
php xslt rpm done, sending it to our marketing dept for release. will post soon.
Comment 10 Jason Pyeron 2005-06-01 14:02:06 EDT
Created attachment 115048 [details]
PHP xslt src rpm patch

As promised, here you go.

Bugzilla for it here:

Comment 11 Jason Pyeron 2005-06-01 14:04:30 EDT
Created attachment 115049 [details]
Comment 12 Jason Pyeron 2005-06-01 14:05:23 EDT
Created attachment 115050 [details]
Comment 13 Jason Pyeron 2005-06-01 14:07:39 EDT
the current page for this project is:

Comment 14 Jason Pyeron 2005-06-01 14:11:16 EDT
Created attachment 115053 [details]
a binary RPM

this rpm works on our servers an client servers.
Comment 15 Roman Buerkle 2005-06-10 09:55:47 EDT
Superb work, seems fine on my machine. But now its half a year later, and i
would prefer to setup a RHEL4. Can you make it again for RHEL4's php-4.3.9.rpm?

Many thanx !
Comment 16 Jason Pyeron 2005-06-10 10:52:29 EDT
hmmm, we dont have any RHEL4 machines yet, if I can get one in a chroot, then 
yes. Ping me in a month if it is not done.
Comment 17 Jason Pyeron 2005-06-10 10:59:52 EDT
Bug 160051 Submitted: php with xslt-support RHEL4
Comment 18 Jason Pyeron 2005-06-10 17:01:22 EDT

if you are looking for RHEL4 go to #160051 


please pass on the work which we have provided to RH and update the internal 
RFE #142282 to reflect the current resources available here.

Comment 19 Joe Orton 2005-09-12 09:43:15 EDT
This feature will be added in a future major release of Red Hat Enterprise
Linux. Red Hat does not currently plan to provide a resolution for this in a Red
Hat Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.